Taxonomy

List instance project categories

GET
/api/categories

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Query Parameters

includeArchived?boolean

Response Body

Response for status 200

application/json
  1. response
categories*array<>
Example Request
curl -X GET 'https://postbot.example/api/categories'
Example Response
{
  "categories": [
    {
      "id": "string",
      "name": "string",
      "normalizedName": "string",
      "state": "active",
      "archivedAt": 0,
      "createdAt": 0,
      "updatedAt": 0
    }
  ]
}

Was this page helpful?